OTBGUI_TESTAPPLICATION(1)

NAME
otbgui_TestApplication - OTB TestApplication application

DESCRIPTION
This is the TestApplication application, version 5.2.0 This application helps developers to test parameters types

Complete documentation: http://www.orfeo-toolbox.org/Applications/TestApplication.html

  Parameters:

-progress
    <boolean> Report progress

-boolean
    <boolean> Boolean (optional, off by default)

-int
    <int32> Integer (optional, off by default)

-float
    <float> Float (optional, off by default)

 -string <string> String (mandatory)
 -filename <string> File name (mandatory)
 -outfilename <string> Output Filename (mandatory)
 -directory <string> Directory name (mandatory)

-choice
    <string> Choice [choice1/choice2/choice3] (mandatory, default value is choice1)

-choice.choice1.floatchoice1 <float>
    Float of choice1 (mandatory, default value is 0.125)

-choice.choice3.floatchoice3 <float>
    Float of choice3 (mandatory, default value is 5)

 -ingroup.integer <float> Integer of Group (mandatory)

-ingroup.images.inputimage
    <string> Input Image (mandatory)

 -outgroup.outputimage <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-il <string list> Input image list (optional, off by default)

-cl <string list> Output Image channels (optional, off by default, default value is choice1)

 -cin <string> Input Complex Image (mandatory)
 -cout <string> [pixel] Output Complex Image [pixel=cfloat/cdouble] (default value is cfloat) (mandatory)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_TestApplication -boolean true -filename myFilename.foo

SEE ALSO
The full documentation for otbgui_TestApplication is maintained as a Texinfo manual. If the info and otbgui_TestApplication programs are properly installed at your site, the command

    info otbgui_TestApplication

should give you access to the complete manual.